using UnityEngine;
using System;

namespace NP
{
    public class DecayMeter : MonoBehaviour
    {
        float Decay;
        private void Use(ActivationPropagation activation)
        {
            if (activation.Channel == (ushort)0)
            {
                ModAPI.Notify("Fuel left: " + Decay*100f + "%");
            }
        }
        private void OnCollisionEnter2D(Collision2D collider2D)
        {
            if (collider2D.gameObject.GetComponent<Fuel>() != null)
            {
                Decay = collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime;
            }
        }
    }
}