using UnityEngine;
using System;

namespace NP
{
    public class Dosimeter : MonoBehaviour
    {
        public float Counter = 0f;

        private void Use(ActivationPropagation activation)
        {
            if (activation.Channel == (ushort)0)
            {
                ModAPI.Notify("Radiation Dose: " + Counter/86.5f);
            }
        }
    }
}
