using UnityEngine;
using System;

namespace NP
{
    public class HeatValve : MonoBehaviour
    {
        private bool on = false;

        private void Use(ActivationPropagation activation)
        {
            if (activation.Channel == (ushort)0)
            {
                if (on)
                {
                    on = false;
                    GetComponent<PhysicalBehaviour>().SimulateTemperature = true;
                }

                else
                {
                    on = true;
                    GetComponent<PhysicalBehaviour>().SimulateTemperature = false;
                }
            }
        }

    }
}
