using UnityEngine;
using UnityEngine.Events;
using System;

namespace NP
{
    public class Particle : MonoBehaviour
    {
        public float Energy;
        private void FixedUpdate()
        {
            this.gameObject.GetComponent<Rigidbody2D>().velocity = transform.right * 50f;
        }
        private void OnCollisionEnter2D(Collision2D collider2D)
        {
            if (collider2D.gameObject.GetComponent<Target>() != null)
            {
                this.gameObject.GetOrAddComponent<ExplosiveBehaviour>().Range = 0.001f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().Delay = 0f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = 0.01f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().FragmentForce = 0.01f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().DestroyOnExplode = true;
                this.gameObject.GetComponent<ExplosiveBehaviour>().BurnPower = 0.01f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().ShockwaveLiftForce = 0.1f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().DismemberChance = 0.01f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().TemperatureLimit = -1000f;
            }
            else
            {
                this.gameObject.GetOrAddComponent<ExplosiveBehaviour>().Range = 0.01f + Energy * 0.00001f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().Delay = 0f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = Energy * 0.0002f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().FragmentForce = Energy * 0.001f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().DestroyOnExplode = true;
                this.gameObject.GetComponent<ExplosiveBehaviour>().BurnPower = Energy * 0.0001f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().ShockwaveLiftForce = 1f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().DismemberChance = 0.01f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().TemperatureLimit = -1000f;
            }
        }
    }
}
