using UnityEngine;
using System;

namespace NP
{
    public class RadiationDose : MonoBehaviour
    {
        public float DoseN;
        public float DoseA;
        public float Immunity;
        float Bleeding;

        private void FixedUpdate()
        {
            if(Immunity <1f)
            {
                LimbBehaviour component1 = this.gameObject.GetComponent<LimbBehaviour>();

                if (DoseN > 500 || DoseA > 300)
                {
                    component1.Person.PainLevel = 1f;
                }

                if (component1.SkinMaterialHandler.AcidProgress < 0.6f && DoseN > 900 || DoseA > 700)
                {
                    component1.SkinMaterialHandler.AcidProgress += (DoseN + DoseA * 2) / 350000000f;
                }
                else if (component1.SkinMaterialHandler.AcidProgress < 0.7f && DoseN > 1100 || DoseA > 900)
                {
                    component1.SkinMaterialHandler.AcidProgress += (DoseN + DoseA * 2) / 3500000000f;
                }

                if (Bleeding > 100f)
                {
                    //component1.CirculationBehaviour.CreateBleedingParticle(this.transform.position * UnityEngine.Random.Range(-3.02f, 3.02f), this.transform.eulerAngles);
                    component1.GetComponent<SpriteRenderer>().color = new Color(1f, 0.9f, 0.9f, 1f);
                    component1.CirculationBehaviour.BleedingRate += 0.008f;
                    Bleeding = 0f;
                }

                else if (DoseN > 600 || DoseA > 400)
                {
                    Bleeding += 1 + DoseA * 0.001f + DoseN * 0.001f;
                }
            }
            else
            {
                Immunity -= 1f;
            }


            DoseN -= DoseN * 0.004f;
            DoseA -= DoseA * 0.002f;
        }
    }
}
