using UnityEngine;
using System;

namespace NP
{
    public class Turbine : MonoBehaviour
    {
        public float MaxTemperature;
        public float MultiplierTurbine;

        private void FixedUpdate()
        {
            if(GetComponent<PhysicalBehaviour>().Temperature > 100f && GetComponent<PhysicalBehaviour>().Temperature < MaxTemperature)
            {
                GetComponent<PhysicalBehaviour>().Charge = GetComponent<PhysicalBehaviour>().Temperature * MultiplierTurbine * 10f;
                GetComponent<PhysicalBehaviour>().Temperature -= GetComponent<PhysicalBehaviour>().Temperature * 0.0005f;
            }
            else if(GetComponent<PhysicalBehaviour>().Temperature > 100f)
            {
                GetComponent<PhysicalBehaviour>().Charge = GetComponent<PhysicalBehaviour>().Temperature * MultiplierTurbine * 4f;
                GetComponent<PhysicalBehaviour>().Temperature -= GetComponent<PhysicalBehaviour>().Temperature * 0.0005f;
            }

        }
    }
}
