using UnityEngine;
using System;

namespace NP
{
    public class Cesium : MonoBehaviour
    {
        private void FixedUpdate()
        {
            if (WaterBehaviour.IsPointUnderWater(this.gameObject.transform.position))
            {
                this.gameObject.GetOrAddComponent<ExplosiveBehaviour>().Range = 15f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().Delay = 1f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = 50f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().TemperatureLimit = -100f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().FragmentForce = 20f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().DestroyOnExplode = true;
                this.gameObject.GetComponent<ExplosiveBehaviour>().BurnPower = 50f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().ShockwaveLiftForce = 30f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().DismemberChance = 0.3f;
            }
        }
    }
}