using UnityEngine;
using UnityEngine.Events;
using System;

namespace NP
{
    public class Decay : MonoBehaviour
    {
        public float Lifetime;
        private void FixedUpdate()
        {
            if(Lifetime < 0f)
            {
                this.gameObject.GetOrAddComponent<ExplosiveBehaviour>().Range = 0.5f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().Delay = 0f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = 5f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().FragmentForce = 10f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().DestroyOnExplode = true;
                this.gameObject.GetComponent<ExplosiveBehaviour>().BurnPower = 2f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().ShockwaveLiftForce = 4f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().DismemberChance = 0.02f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().TemperatureLimit = -1000f;
            }
            else
            {
                Lifetime -= 0.2f;
            }
        }
    }
}
