using UnityEngine;
using UnityEngine.Events;
using System;

namespace NP
{
    public class FuelReprocessor : MonoBehaviour
    {
        public SpawnableAsset spawnable;
        public SpawnableAsset spawnable2;
        private void OnCollisionEnter2D(Collision2D collider2D)
        {
            if (collider2D.gameObject.name == "LEU-235 -NP" || collider2D.gameObject.name == "HEU-235 -NP" || collider2D.gameObject.name == "LEU-233 -NP" || collider2D.gameObject.name == "HEU-233 -NP" || collider2D.gameObject.name == "MOX-239 -NP" || collider2D.gameObject.name == "LEP-239 -NP" || collider2D.gameObject.name == "HEP-239 -NP" || collider2D.gameObject.name == "LEA-242 -NP" || collider2D.gameObject.name == "HEA-242 -NP" || collider2D.gameObject.name == "LECm-243 -NP" || collider2D.gameObject.name == "HECm-243 -NP" || collider2D.gameObject.name == "LEB-248 -NP" || collider2D.gameObject.name == "HEB-248 -NP" || collider2D.gameObject.name == "LECf-249 -NP" || collider2D.gameObject.name == "HECf-249 -NP" || collider2D.gameObject.name == "TBU -NP" || collider2D.gameObject.name == "Melted Fuel -NC" || collider2D.gameObject.name == "Melted Fuel2 -NC" || collider2D.gameObject.name == "Melted Fuel -NC" || collider2D.gameObject.name == "Uranium ore -NP" || collider2D.gameObject.name == "Thorium ore -NP")
            {
                GameObject instance;
                if (collider2D.gameObject.name == "Uranium ore -NP")
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("U-238 -NP");
                    if(UnityEngine.Random.Range(0f, 20.0f) > 17f)
                        spawnable2 = ModAPI.FindSpawnable("U-235 -NP");
                    else
                        spawnable2 = ModAPI.FindSpawnable("null");
                }
                else if (collider2D.gameObject.name == "Thorium ore -NP")
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Th-232 -NP");
                    if (UnityEngine.Random.Range(0f, 25.0f) > 24f)
                        spawnable2 = ModAPI.FindSpawnable("U-233 -NP");
                    else
                        spawnable2 = ModAPI.FindSpawnable("null");
                }
                else if (collider2D.gameObject.name == "LEU-235 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable2 = ModAPI.FindSpawnable("Pu-239 -NP");
                    spawnable = ModAPI.FindSpawnable("Cs-137 -NP");
                }
                else if (collider2D.gameObject.name == "HEU-235 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Cs-137 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Pu-242 -NP");
                }
                else if (collider2D.gameObject.name == "LEU-233 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable2 = ModAPI.FindSpawnable("Cs-137 -NP");
                    spawnable = ModAPI.FindSpawnable("Pu-242 -NP");
                }
                else if (collider2D.gameObject.name == "HEU-233 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Sr-90 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Am-243 -NP");
                }
                else if (collider2D.gameObject.name == "MOX-239 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Sr-90 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Pu-242 -NP");
                }
                else if (collider2D.gameObject.name == "LEP-239 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Pm-147 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Am-242 -NP");
                }
                else if (collider2D.gameObject.name == "HEP-239 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Pm-147 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Am-243 -NP");
                }
                else if (collider2D.gameObject.name == "LEA-242 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Pm-147 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Cm-246 -NP");
                }
                else if (collider2D.gameObject.name == "HEA-242 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Pm-147 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Cm-243 -NP");
                }
                else if (collider2D.gameObject.name == "LECm-243 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Pm-147 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Bk-248 -NP");
                }
                else if (collider2D.gameObject.name == "HECm-243 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Pm-147 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Bk-247 -NP");
                }
                else if (collider2D.gameObject.name == "LEB-248 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Pm-147 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Cf-249 -NP");
                }
                else if (collider2D.gameObject.name == "HEB-248 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Pm-147 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Cf-252 -NP");
                }
                else if (collider2D.gameObject.name == "LECf-249 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Ru-106 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Cf-250 -NP");
                }
                else if (collider2D.gameObject.name == "HECf-249 -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Eu-155 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Cf-253 -NP");
                }
                else if (collider2D.gameObject.name == "TBU -NP" && collider2D.gameObject.GetComponent<Fuel>().ActualFuelTime / collider2D.gameObject.GetComponent<Fuel>().FuelTime < 0.3f)
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Sr-90 -NP");
                    spawnable2 = ModAPI.FindSpawnable("U-233 -NP");
                }
                else if (collider2D.gameObject.name == "Melted Fuel -NC" || collider2D.gameObject.name == "Melted Fuel2 -NC")
                {
                    Destroy(collider2D.gameObject);
                    spawnable = ModAPI.FindSpawnable("Sr-90 -NP");
                    spawnable2 = ModAPI.FindSpawnable("Pm-147 -NP");

                }
                instance = UnityEngine.Object.Instantiate<GameObject>(spawnable.Prefab, this.transform.position, this.transform.rotation);
                instance.transform.position += this.transform.right * -1;
                instance.AddComponent<DeregisterBehaviour>();
                instance.AddComponent<TexturePackApplier>();
                instance.AddComponent<AudioSourceTimeScaleBehaviour>();
                instance.AddComponent<SerialiseInstructions>().OriginalSpawnableAsset = spawnable;
                instance.name = spawnable.name;
                CatalogBehaviour.PerformMod(spawnable, instance);

                instance = UnityEngine.Object.Instantiate<GameObject>(spawnable2.Prefab, this.transform.position, this.transform.rotation);
                instance.transform.position += this.transform.right;
                instance.AddComponent<DeregisterBehaviour>();
                instance.AddComponent<TexturePackApplier>();
                instance.AddComponent<AudioSourceTimeScaleBehaviour>();
                instance.AddComponent<SerialiseInstructions>().OriginalSpawnableAsset = spawnable2;
                instance.name = spawnable2.name;
                CatalogBehaviour.PerformMod(spawnable2, instance);
            }
        }
    }
}
