using UnityEngine;
using UnityEngine.Events;
using System;

namespace NP
{
    public class Irradiator : MonoBehaviour
    {
        public SpawnableAsset spawnable;
        public string Isotope = "null";
        public float CurrentFlux;
        public float NeededFlux;
        public float FluxAmount;
        int Collider;
        private void Start()
        {
            //CircleCollider2D circleCollider2D = this.gameObject.AddComponent<CircleCollider2D>();
            //circleCollider2D.radius = 0.1f;
            //circleCollider2D.isTrigger = true;
        }

        private void OnTriggerEnter2D(Collider2D collider2D)
        {
            if (collider2D.gameObject.GetComponent<Fuel>() != null)
            {
                FluxAmount += collider2D.gameObject.GetOrAddComponent<Fuel>().NeutronFlux / collider2D.gameObject.GetOrAddComponent<Fuel>().Criticality;
            }
        }
        private void FixedUpdate()
        {
            if(CurrentFlux > NeededFlux)
            {
                GameObject instance;
                Destroy(this.gameObject);
                spawnable = ModAPI.FindSpawnable(Isotope);
                instance = UnityEngine.Object.Instantiate<GameObject>(spawnable.Prefab, this.transform.position, this.transform.rotation);
                instance.transform.position = this.transform.position;
                instance.AddComponent<DeregisterBehaviour>();
                instance.AddComponent<TexturePackApplier>();
                instance.AddComponent<AudioSourceTimeScaleBehaviour>();
                instance.AddComponent<SerialiseInstructions>().OriginalSpawnableAsset = spawnable;
                instance.name = spawnable.name;
                CatalogBehaviour.PerformMod(spawnable, instance);
            }
            else
            {
                CurrentFlux += FluxAmount * 0.01f;
            }
            if (Collider == 100)
            {
                FluxAmount = 0f;
                Destroy(this.gameObject.GetComponent<CircleCollider2D>());
                CircleCollider2D circleCollider2D = this.gameObject.GetOrAddComponent<CircleCollider2D>();
                circleCollider2D.radius = 0.1f;
                circleCollider2D.isTrigger = true;
                Collider = 0;
            }
            else
            {
                Collider++;
            }
            if (Collider > 100)
            {
                Collider = 99;
            }
        }
    }
}
